2010-08-12 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 161

2010-07-12 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 160

2010-07-07 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 159

2010-06-24 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 158

2010-06-02 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 157

2010-05-25 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 156

2010-05-12 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 154

2010-04-21 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 153

2010-04-20 Arjan Bouter <abouter@sourcemage.org>
	* DETAILS: version 152

2010-01-27 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 151

2010-01-08 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 150

2010-01-07 Eric Sandall <sandalle@sourcemage.org>
	* PRE_BUILD: udev with extras requires CONFIG_SYSFS_DEPRECATED_V2 to be
	  disabled in the kernel
	  Change from "cannot build" to "will not build"
	* SUB_DEPENDS, REPAIR^0fe1cc8576781521ba346977337dfc1a^SUB_DEPENDS: Add
	  EXTRAS dependencies to SUB_DEPENDS as it is run after DEPENDS.
	  list_find won't find the flag in DEPENDS if it wasn't set by the user.
	  Display a message when overriding user selection
	* REPAIR^all^SUB_DEPENDS, REPAIR^0fe1cc8576781521ba346977337dfc1a^SUB_DEPENDS:
	  Now that I've updated SUB_DEPENDS again, replace both older copies with
	  the one newer copy, no longer needing a specific replacement.

2009-12-05 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 149
	* PRE_BUILD, mice.diff: removed patch

2009-12-03 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: PATCHLEVEL++
	* mice.diff: added, upstream patch
	* PRE_BUILD: apply mice.diff
	  input_id: Fix endless loop for non-input devices
	  When being called on a device which is not in the "input" subsystem, or doesn't
	  have an "input" parent, it got stuck in an endless loop. Unfortunately this
	  includes the virtual/input/mice multiplexer, which exposes this bug on just
	  about every system.

2009-12-02 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 148

2009-11-17 Vlad Glagolev <stealth@sourcemage.org>
	* DEPENDS: really add optional gobject-introspection

2009-11-15 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 147
	* libusb.diff: deleted
	* PRE_BUILD: don't applu libusb.diff
	* DEPENDS: add optional gobject-introspection

2009-10-12 Arwed v. Merkatz <v.merkatz@gmx.net>
	* SUB_DEPENDS: remove --disable-extras from UDEV_OPTS if
	  EXTRAS sub_depends is requested, otherwise fails to actually build
	  the extras, bug #15464

2009-10-11 Treeve Jelbert <treeve@sourcemage.org>
	* libusb.diff: added
	  upstream patch for printing with libusb/cups
	* PRE_BUILD: apply patch
	* DETAILS: PATCHLEVEL++

2009-09-29 Finn Haedicke <finn_haedicke@gmx.net>
	* DEPENDS: udev extras require usbutils

2009-09-19 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: PATCHLEVEL=1
	* rules.d/51-udev-default.rules: removed, it shouldn't intersect with
	  the default rules installed by upstream

2009-08-14 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 146

2009-08-01 Arjan Bouter <abouter@sourcemage.org>
	* DEPENDS: depend on providers instead of spells

2009-07-13 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 145

2009-07-06 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: lots of extra depends
	* [PRE_]SUB_DEPENDS: add EXTRAS
	* REPAIR^all^PRE_SUB_DEPENDS: added

2009-07-06 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 144

2009-07-04 Treeve Jelbert <treeve@sourcemage.org>
	* udev.missing: don't create raw1394, udev does it now

2009-06-25 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: PATCHLEVEL=3
	* BUILD: use correct libexecdir, rootlibdir, sbindir
	* INSTALL: _never_ do install in *multijob* :)

2009-06-24 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: PATCHLEVEL=2
	* BUILD: UDEV_OPTS; rootlibdir, libexecdir creates /usr/lib/libudev.so
	  as a symlink to /lib
	* CONFIGURE: UDEV_OPTS
	* DEPENDS: fixed selection of the proper deps, it would be "y" instead
	  of "--enable-extras"

2009-06-24 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: PATCHLEVEL=1
	* BUILD: updated configure options, exec_prefix -> rootlibdir, libexecdir

2009-06-22 Eric Sandall <sandalle@sourcemage.org>
	* CONFIGURE: Query for enabling acl and gperf extra functionality
	  Without '--disable-extras' udev fails to compile if acl is not installed
	* DEPENDS: Depends on acl and gperf when enabling extras
	* BUILD: Pass UDEV_EXTRAS to OPTS

2009-06-22 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 143
	* PRE_BUILD: sed fixed, install-udevconfDATA -> install-dist_udevconfDA.

2009-05-13 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 142

2009-05-03 Treeve Jelbert <treeve@sourcemage.org>
	* FINAL: create_group dialout

2009-05-02 Andraž "ruskie" Levstik <ruskie+f03a580f@codemages.net>
	* init.d/copy-persistent-rules: made it non-sh, bug #13702

2009-04-24 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: PATCHLEVEL++ to install correct config file
	* INSTALL: With module-init-tools 3.7+ all config files
	  in /etc/modprobe.d/ must end in .conf

2009-04-09 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 141

2009-03-13 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 140

2009-03-06 Eric Sandall <sandalle@sourcemage.org>
	* FINAL: Create firewire group to stop the boot warning

2009-02-27 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 139

2009-02-19 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 138

2009-01-23 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 137

2009-01-07 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 136

2008-12-02 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 135

2008-11-28 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 134

2008-11-18 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 133

2008-11-10 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 132

2008-10-14 Vlad Glagolev <stealth@sourcemage.org>
	* SUB_DEPENDS: fixed regression bug

2008-10-08 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 130

2008-10-04 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: PATCHLEVEL=1, fixed a number of bugs caused by parsing order
	* rules.d/70-cdrom_perms.rules: renamed to 76-*
	* rules.d/50-udev-default.rules: renamed to 51-*

2008-10-02 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 129

2008-09-23 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: quoting paths
	* CONFIGURE: cleaned up
	* [PRE_]SUB_DEPENDS: removed, no longer needed (volume_id is OK by def)
	* rules/50-default.rules: renamed to 50-udev-default.rules -- the files
	  from /lib/udev/rules.d and /etc/udev/rules.d _must_ have _the same_
	  names: this allows /etc-based rules override /lib-based (default) ones

2008-09-12 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 128

2008-08-30 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 127

2008-08-19 Vlad Glagolev <stealth@sourcemage.org>
	* FINAL: added creation of uucp group to remove some udev init warns

2008-08-14 Vlad Glagolev <stealth@sourcemage.org>
	* INSTALL: fixed a bug about udev devices autodetection and management
	  of them with dbus and hal -- udevinfo symlink is still needed

2008-08-09 Treeve Jelbert <treeve@sourcemage.org>
	* udev.missing: add raw1394

2008-08-05 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: PATCHLEVEL=1
	* PRE_BUILD: don't trash existent udev.conf

2008-08-03 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 126
	* BUILD, CONFIGURE, DEPENDS, INSTALL: autotools are used instead of make

2008-07-22 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 125, fixed long desc
	* PRE_BUILD: makefile patch's no longer needed, cleaned up
	* CONFIGURE: removed persistent rules configuration (installed by def),
	  cleaned up
	* BUILD: use correct DESTDIR instead of prefix
	* CONFLICTS, DEPENDS, FINAL, UP_TRIGGERS, [PRE_]SUB_DEPENDS: cleaned up
	* INSTALL: use `install -d' instead of `mkdir -p', SPELL > SCRIPT,
	  use correct DESTDIR, removed perstitent rules installation like in
	  BUILD (they're installed by def), cleaned up
	* udev.conf: udev rules are located now in two dirs: /etc/udev/rules.d
	  for the user-defined rules and /lib/udev/rules.d for the system ones
	* rules/50-default.rules: removed links for non-existent input devices
	  (noted in 2.6.26, they're just /dev/pty*)

2008-06-12 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 124

2008-06-11 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 123
	* Makefile.patch: updated

2008-05-18 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 122

2008-05-09 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 121

2008-04-04 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 120
	* INSTALL: removed 05-udev-early.rules, was removed from default rules

2008-03-22 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: UPSTREAM_KEY

2008-03-21 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 119

2008-01-28 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* UP_TRIGGERS: removed is_depends_enabled.function reference

2007-12-22 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 118
	* init.d/coldplug: convert to udevadm usage

2007-10-14 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 116

2007-08-26 Arwed v. Merkatz <v.merkatz@gmx.net>
	* init.d/coldplug: only run the coldplugging stuff if udev is used for
	  /dev management, bug #13807
	* DETAILS: PATCHLEVEL++

2007-08-24 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 115

2007-08-06 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 114

2007-06-25 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 113

2007-06-04 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 112

2007-05-11 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 111

2007-05-03 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 110

2007-04-24 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 109

2007-04-19 Arwed v. Merkatz <v.merkatz@gmx.net>
	* init.d/copy-persistent-rules: added init script to copy the files
	  created in /dev/.udev/ by the rules_generator rules so they actually
	  are persistent afterwards

2007-03-31 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 108
	* CONFIGURE: remove non-existant extras/{run_directory,dasd_id}
	  you may need to redo your netconf(see FINAL for more details)

2007-02-14 Juuso Alasuutari <iuso@sourcemage.org>
	* PRE_SUB_DEPENDS, SUB_DEPENDS: Added, new sub-dependency
	  VOLUME_ID for bug #13500.

2007-01-30 Juuso Alasuutari <iuso@sourcemage.org>
	* CONFIGURE: Prompt to dispel hotplug instead of just bootdisable.
	* FINAL: Changed bootdisable hotplug to dispel.

2007-01-27 Juuso Alasuutari <iuso@sourcemage.org>
	* CONFLICTS: Made 'conflicts udev-old' default to y to
	  handle upgrades smoother.

2007-01-24 Juuso Alasuutari <iuso@sourcemage.org>
	* CONFLICTS: Removed conflicts hotplug, the dispelling is better
	  handled by a trigger in hotplug itself (prevents hotplug from
	  being removed before udev cast success is certain).
	* CONFIGURE: Prompt about disabling hotplug's init script if
	  it's enabled.
	* FINAL: Bootdisable hotplug's init if user allowed it.

2007-01-21 Juuso Alasuutari <iuso@sourcemage.org>
	* all: These edits are aimed at fixing bug #13417.
	* PRE_BUILD: Moved kernel version check here from PREPARE
	  because failing in configure phase is undefined behavior.
	* PREPARE: Deleted.
	* TRIGGERS: Deleted, not needed anymore.
	* UP_TRIGGERS: Added, recast init.d if it depends on udev-old to
	  update it to depend on new udev.
	* CONFLICTS: Added conflicts hotplug because module loading with
	  hotplug is deprecated upstream in favor of udev.

2007-01-07 Juuso Alasuutari <iuso@sourcemage.org>
	* DETAILS: Updated to 104.
	* PREPARE: Fixed kernel ver checking, removed obsolete check for
	  install_config_file.
	* CONFIGURE: Renamed UDEV_PERSIST to UDEV_PERSIST_STORAGE,
	  created _EXTRAS_TARG var for storing extras build targets,
	  removed stale commented code.
	* DEPENDS: Cleaned wording & formatting.
	* PRE_BUILD: Removed commented code.
	* BUILD: Removed redundant make commands and commented code,
	  only needs one make command that gets its volatile build
	  targets from $_EXTRAS_TARG.
	* INSTALL: Removed redundant make commands, removed commented
	  code, fixed borked conditional logic, cleaned up real good.
	* FINAL: Moved notify text into a single message call.
	* udev.conf: Removed default_* vars (not used since 051), added
	  udev_log, updated comments, added notice about devices script.
	* udev.missing: Fixed typo in comment.
	* Makefile.patch: Updated.
	* init.d/coldplug: More verbose status messages, retval handling.
	* init.d/udevd: Removed trailing empty lines.

2006-10-21 Flavien Bridault <vlaaad@sourcemage.org>
	* DETAILS: Updated to 103 

2006-10-11 Flavien Bridault <vlaaad@sourcemage.org>
	* DETAILS: Updated to 102 

2006-10-01 Flavien Bridault <vlaaad@sourcemage.org>
	* DETAILS: updated to 101
	* DEPENDS: removed hotplug for old kernels since they are no longer
	  supported in this spell
	* INSTALL: no longer installs custom helpers, use new udev rules 
	  generator, removed hotplug test for dedicated rules
	* BUILD: build rules generator
	* rules/70-cdrom_symlinks_and_perms.rules: removed
	* rules/70-cdrom_perms: added
	* helpers/{mac2name,cdrom_symlink_helper}: removed
	* rules/07-bindings.rules: removed
	* 52-modules.rules: moved in /rules directory
	* FINAL: removed old warns, added one about net interfaces naming

2006-09-23 Flavien Bridault <vlaaad@sourcemage.org>
	* DETAILS: Removed 092 
	* 50-default.rules: moved back firmware.sh there 
	* PREPARE: Removed old version handling, prevent to cast udev
	  if the kernel version is not recent enough
	* CONFIGURE, INSTALL: Removed old version handling
	* BUILD: Split a too long line
	* CONFLICTS: conflicts with new udev-old spell

2006-09-10 Flavien Bridault <vlaaad@sourcemage.org>
	* DETAILS: Updated to 100
	* rules/*.rules, 52-modules.rules: Some keys have been renamed,
	  BUS->SUBSYSTEMS, SYSFS->ATTRS, ID->KERNEL, DRIVER->DRIVERS, see
	  the udev RELEASE-NOTES for more informations.
	* 50-default.rules: Removed cdrom_id related rules, a dedicated rules
	  file is now installed by default, replaced cdrw group by burning group,
	  as this is the name we employ for that, removed missing usb group,
	  replaced scsi by disk group
	  moved symlinks and perms rules for cdrom so that they are processed
	  after the new file 60-cdrom_id.rules
	* 70-cdrom_symlinks_and_perms.rules: created
	* rules.examples: same renaming and replaced some = by == where
	  needed, examples rules should also try to be correct ;-)
	* init.d/udevd: actually needs devices, caused troubles on boot
	* init.d/coldplug: only needs udevd since udevd now needs devices

2006-09-05 Flavien Bridault <vlaaad@sourcemage.org>
	* INSTALL: handle rules files install for 092 (bug #13073)

2006-08-15 Juuso Alasuutari <iuso@sourcemage.org>
	* DETAILS: [automated] Removed UPDATED (deprecated in favor of
	  PATCHLEVEL).

2006-08-15 Flavien Bridault <vlaaad@sourcemage.org>
	* DETAILS: PATCHLEVEL++ to get the alsa rules files that was actually
	  not integrated in git repository

2006-08-13 Flavien Bridault <vlaaad@sourcemage.org>
	* DETAILS: Updated to 097
	* rules.d/40-alsa.rules: Added since the file disappeared from the tarball
	* INSTALL: Added missing &&
	  rules have moved in the tarball from etc/udev to etc/udev/rules.d
	  install late rules from the tarball

2006-07-11 Flavien Bridault <vlaaad@sourcemage.org>
	* DETAILS: Updated to 096

2006-07-05 Flavien Bridault <vlaaad@sourcemage.org>
	* DETAILS: Updated to 095
	* ifrename_wait_retry.patch: removed, has been integrated in release
	* PRE_BUILD: removed patch above

2006-06-25 Juuso Alasuutari <iuso@sourcemage.org>
	* PRE_BUILD: Added patch to allow network interface renaming
	  with existing names. Added comments about patches, tidied
	  code.
	* CONFIGURE, PRE_BUILD, BUILD, INSTALL: Commented out static
	  target parts, it only installs udevstart which is deprecated
	  now.
	* ifrename_wait_retry.patch: Added.
	* Makefile.patch: Updated.

2006-06-24 Juuso Alasuutari <iuso@sourcemage.org>
	* helpers/mac2name: Edited to read DEVICE_MAC instead of MAC in
	  /etc/sysconfig/network/*.dev. Fixed a bug where supplying no
	  argument to the script resulted in an interface name. Edited
	  to display message on error. Made small optimizations.
	* DETAILS: PATCHLEVEL++

2006-06-21 Flavien Bridault <vlaaad@sourcemage.org>
	* rules/50-default.rules: removed OSS sound devices from /dev/sound
	  (bug #12662)
	* DETAILS: PATCHLEVEL++

2006-06-17 Flavien Bridault <vlaaad@sourcemage.org>
	* DETAILS: added 094. This one is not compatible with kernels older
	  than 2.6.15rc1 because of udevsend, so we will keep both 092 and
	  > 092 for a while, PATCHLEVEL++ to get the previous update
	* PREPARE: Removed the warning for the config files move, this stuff
	  has been there for 14 months, added a test to use the right udev
	  version according to the kernel version
	* CONFIGURE: Prompt for persistent input rules
	* INSTALL: Removed udevsend and udevstart install for kernels
	  newer than 2.6.15rc1, added persistent input rules installing,
	  added firmware rule generation according to the kernel version
	* FINAL: Removed the move of the config files
	* rules/50-default.rules: remove the rule for the firmware, now
	  generated in INSTALL
	* init.d/coldplug: added udevsettle launching after udevtrigger to
	  wait for udev events before the script exits

2006-06-11 Juuso Alasuutari <iuso@sourcemage.org>
	* rules/50-default.rules: Removed deprecated %e from cdrom
	  rules, rewrote to use new helper script instead. Did some
	  reorganizing with cdrom and disk rules.
	* helpers/cdsymlink_helper: Added.
	* INSTALL: Added cdsymlink_helper script install.

2006-05-15 Juuso Alasuutari <iuso@sourcemage.org>
	* PRE_BUILD: Removed fix for typo in alsa rules file, was fixed
	  upstream
	* DEPENDS: Replaced "installed_version linux" with
	  "get_kernel_version", fixes conditional for custom kernels

2006-05-15 Flavien Bridault <vlaaad@sourcemage.org>
	* DETAILS: Updated to 092

2006-05-12 Juuso Alasuutari <iuso@sourcemage.org>
	* rules/50-default.rules: Fixed invalid KERNEL fields

2006-05-12 Juuso Alasuutari <iuso@sourcemage.org>
	* rules/50-default.rules: Fixed ptmx device permission error
	* DETAILS: PATCHLEVEL

2006-05-11 Flavien Bridault <vlaaad@sourcemage.org>
	* INSTALL: install path_id in /lib/udev since this is a helper,
	  otherwise udev persistent disk rules don't find it

2006-05-10 Juuso Alasuutari <iuso@sourcemage.org>
	* rules/50-default.rules: Fixed incorrect node naming for usb
	  printers, added new rules for various devices
	* DETAILS: Updated PATCHLEVEL, added some new keywords

2006-05-02 Juuso Alasuutari <iuso@sourcemage.org>
	* INSTALL: Install early rules straight from source dir
	* rules/05-udev-early.rules: Deleted
	* rules/50-default.rules: Thiefed a ton of rules from gentoo
	  rules file, fixed some typos
	* 52-modules.rules: Some edits

2006-04-30 Juuso Alasuutari <iuso@sourcemage.org>
	* INSTALL: Install modprobe aliases for non-hotplug systems

2006-04-29 Juuso Alasuutari <iuso@sourcemage.org>
	* PRE_BUILD: Add fix for upstream typo in alsa rules file

2006-04-28 Juuso Alasuutari <iuso@sourcemage.org>
	* DETAILS: Updated PATCHLEVEL

2006-04-28 Juuso Alasuutari <iuso@sourcemage.org>
	* 50-default.rules, 50-default.rules-hotplug: Deleted, see below
	* rules/50-default.rules: Added, now the differences between
	  non-hotplug and hotplug systems are taken care of in
	  52-modules.rules*
	* 52-modules.rules, 52-modules.rules-hotplug: Added, different
	  module loading rules for non-hotplug and hotplug systems. Also
	  some new rules for non-hotplug, fixes e.g. SCSI driver
	  loading.
	* INSTALL: Edited to install correct 52-modules.rules* file
	* rules/README: Updated the text a bit

2006-04-27 Juuso Alasuutari <iuso@sourcemage.org>
	* DETAILS: Version 091

2006-04-18 Juuso Alasuutari <iuso@sourcemage.org>
	* DETAILS: Version 090
	* rules/05-udev-early.rules: Added

2006-04-18 Juuso Alasuutari <iuso@sourcemage.org>
	* CONFIGURE, INSTALL: Undid previous hack in favor of a better
	  one. Now interface names are bound if MAC addresses are set
	  for them with netconf. Thanks to Mads Laursen for the idea and
	  Arwed von Merkatz for pointing out how to do it.
	* bindings: Deleted
	* helpers/mac2name: Added, helper script to retrieve interface
	  names in exchange for MAC addresses
	* rules/07-bindings.rules: Added, calls mentioned script

2006-04-15 Juuso Alasuutari <iuso@sourcemage.org>
	* CONFIGURE: Added prompt to install persistent network
	  interface names, made prompts more uniform
	* INSTALL: Edited to source a script to install persistent
	  network interface name rules
	* bindings: Added, this is the mentioned script

2006-04-06 Flavien Bridault <vlaaad@sourcemage.org>
	* 50-default.rules-hotplug, 50-default.rules: added a rule for svgalib
	  devices (bug #10858)

2006-04-04 Flavien Bridault <vlaaad@sourcemage.org>
	* 50-default.rules-hotplug, 50-default.rules: corrected path to cdrom_id

2006-04-04 Juuso Alasuutari <iuso@sourcemage.org>
	* INSTALL: made loop vars local

2006-04-04 Juuso Alasuutari <iuso@sourcemage.org>
	* INSTALL: edited to install different default rules for hotplug
	  and non-hotplug systems because rulesets are incompatible.
	  removed one unused var, made another var local, and did some
	  minor and not so minor fixes.
	* rules/50-default.rules: deleted
	* 50-default.rules-hotplug: added (same file as above, moved &
	  renamed)
	* 50-default.rules: added (new udev-only module autoload rules
	  file)
	* TRIGGERS: hotplug cast/dispel now triggers udev cast to keep
	  rules up to date
	* DETAILS: PATCHLEVEL up
	* DEPENDS: made 1 var local
	* CONFIGURE: made 1 var local
	* PRE_BUILD: removed a sedit that fixes something already fixed
	  upstream

2006-04-03 David Brown <dmlb2000@gmail.com>
	* DETAILS: updated 089
	* init.d/coldplug: all you need is the udevtrigger instead of big script

2006-03-12 Karsten Behrmann <BearPerson@sourcemage.org>
	* DETAILS: (automated) Add KEYWORDS

2006-02-27 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 086

2006-02-16 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 085

2006-02-15 Flavien Bridault <disk@sourcemage.org>
	* PRE_BUILD: corrected bug #10393, static udev now builds fine
	* init.d/coldplug: corrected bug #10501, coldplug no longer tries
	  to stop at shutdown
	* DETAILS: update PATCHLEVEL

2006-02-08 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Depends on smgl-fhs (for directory structure)

2006-02-07 Flavien Bridault <disk@sourcemage.org>
	* DETAILS: update PATCHLEVEL

2006-02-06 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Depends on gnupg (for SOURCE verification)
	  Formatted to Guru Handbook
	  Removed debug code

2006-02-06 Flavien Bridault <disk@sourcemage.org>
	* init.d/50-default.rules: swapped firmware rule and udev_run_hotplugd
	  rule, so that it hotplug do not try to load the firmwares. Should solve
	  bug #10436

2006-01-31 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 084
	* rules/50*: adjust udev_run* command
	* FINAL: warn of changes affecting udev_run* commands

2006-01-29 David Brown <dmlb2000@gmail.com>
	* CONFIGURE: added option for adding debugging to udev
	* BUILD: added debugging option to make also cleaned up
	  long lines for make

2006-01-26 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: update PATCHLEVEL
	* INSTALL: install udevstart and udevsend
	  fix bug #10463

2006-01-25 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 082

2006-01-22 Flavien Bridault <disk@sourcemage.org>
	* init.d/50-default.rules: removed main default rule as it is redundant
	  and cause troubles with local rules (bug #10373 and #10197)
	* DETAILS: updated PATCHLEVEL

2006-01-17 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 081

2006-01-16 Arwed v. Merkatz <v.merkatz@gmx.net>
	* INSTALL: fix so it actually installs everything needed and doesn't
	  claim success if it failed (which it did)
	* CONFIGURE: force UDEV_EXTRAS if persistent disk rules are chosen
	* init.d/coldplug: use 'builtin echo' instead of 'echo' so it actually
	  works, move script to runlevel %DEV as it replaces udevstart
	* init.d/coldplug, init.d/udevd: make scripts ESSENTIAL as they're
	  necessary for a working system if udev is used
	* DETAILS: update PATCHLEVEL

2006-01-18 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: update PATCHLEVEL
	* BUILD INSTALL: add missing path_id
	* INSTALL: persistent-disk needs extras
	* init.d/coldplug: make smgl compatible

2006-01-13 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: set PATCHLEVEL
	* FINAL: add group audio
	* INSTALL: fix typo

2006-01-13 Treeve Jelbert <treeve@sourcemage.org>
	* init.d/coldplug: add
	  this finally resolves the loading of modules for coldplugged hardware
	* INSTALL: use suse rules for alsa, they include more cases

2006-01-10 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 080
	  update the description
	* FINAL: add a message

2006-01-07 David Brown <dmlb2000@gmail.com>
	* BUILD: moved extras/firmware to manditory build so firmware can be
	  added
	* rules.d/50-default.rules: added firmware loader for 2.6.15
	* DETAILS: updated date so it will be cast

2006-01-05 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: fix typo (RELEASE)
	  set PATCHLEVEL
	* rule/50-default.rules: add MODALIAS rule
	  this should allow modules to be loaded automatically
	* udev.conf: remove junk
	* CONFIGURE: query for persistent-disk.rules
	* INSTALL: remove obsolete code, simplify it
	  install persistent-disk.rules

2005-12-23 Flavien Bridault <disk@sourcemage.org>
	* FINAL: ensure that the video group exists

2005-12-23 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: updated to 079
	* INSTALL: add missing &&
	  remove erroneous 'id'

2005-12-19 Andrew Stitt <astitt@sourcemage.org>
	* BUILD: add missing &&'s

2005-12-18 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: updated to 078

2005-12-11 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: hotplug only if linux < 2.6.14
	* DETAILS: updated
	* udev.missing: add dazuko

2005-12-04 Treeve Jelbert <treeve@sourcemage.org>
	* rules/50-default.rules: change location of udev_run_hotplugd
	  fixes hotplug actions

2005-12-04 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: updated to 077

2005-12-03 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: updated to 076
	* Makefile.patch: update
	* UDEV.conf: remove obsolete reference to udev_db and permissions

2005-12-03 Flavien Bridault <disk@sourcemage.org>
	* init.d/50-default.rules: added a rule which creates a symlink
	  for HP printers (bug #7736)

2005-11-22 Arwed v. Merkatz <v.merkatz@gmx.net>
	* PRE_BUILD: fixed static udevstart compile

2005-11-11 Flavien Bridault <disk@sourcemage.org>
	* DETAILS: updated to 075

2005-10-24 Flavien Bridault <disk@sourcemage.org>
	* DETAILS: updated to 071
	* BUILD, INSTALL: made cdrom_id non-optional as we use it in default rules
	* INSTALL: Removed manual install of /sbin/udev_run_hotplugd
	* init.d/50-default.rules: added symlinks creation for cdroms using
	  cdrom_id, permissions for cdrecorders are setup here now,
	  switched to '==' : == compares and = sets

2005-10-10 Flavien Bridault <disk@sourcemage.org>
	* CONFIGURE, BUILD, INSTALL: ask to compile extra helpers
	* INSTALL: Corrected a bug preventing /sbin/udev_run_hotplugd
	  to install correctly
	* init.d/50-default.rules: added disk, cdrom and burning group management,
	  removed udev_run_devd launching, added an explicit rule to call
	  'alsactl restore'
	* FINAL: ensure that the burning group exists

2005-09-20 Flavien Bridault <disk@sourcemage.org>
	* DETAILS: updated to 070
	* Makefile.patch: updated

2005-09-04 David Brown <dmlb2000@gmail.com>
	* DETAILS: updated 068

2005-09-03 Arwed v. Merkatz <v.merkatz@gmx.net>
	* init.d/udevd: s/REQUIRED/RECOMMENDED/, REQUIRED doesn't exist and
	  udevd isn't ESSENTIAL

2005-08-26 Sergey Lipnevich <sergey@sourcemage.org>
	* CONFIGURE,PRE_BUILD,BUILD,INSTALL: add option to create statically linked
	  binaries; move patching to PRE_BUILD.

2005-08-18 David Brown <dmlb2000@gmail.com>
	* Makefile.patch: added to patch out the restarting of udevd
	* BUILD: added patch to the Makefile
	* WIP: updated to add note about sorcery needing to restart udevd
	* DETAILS: updated updated var

2005-08-18 David Brown <dmlb2000@gmail.com>
	* BUILD: removed the haxxory that I did to make run_directory work
	* INSTALL: modified to call run_directory properly
	* WIP: added for starting and stopping udevd

2005-08-18 Flavien Bridault <disk@sourcemage.org>
	* rules/50-default.rules: added /dev/net/tun device (bug #9478)

2005-08-17 Flavien Bridault <disk@sourcemage.org>
	* DETAILS: updated to 067, use vendor GPG key now
	  removed BUILD_API=2, PLEASE DON'T ADD IT ONCE AGAIN !! Import API_VERSION
	  file of the disk section in your local grimoire instead !
	* Makefile.patch: updated to work with new version
	* INSTALL: udev.rules.devfs renamed to udev-devfs.rules in udev package,
	  updated
	  alsa.dev moved in extras dir, updated
	* udev-064.tar.bz2.sig: removed
	* kernel.gpg: added

2005-07-24 David Brown <dmlb2000@gmail.com>
	* DETAILS: updated 064
	* Makefile.patch: updated to work
	* udev-064.tar.bz2.sig: added
	* udev-063.tar.bz2.sig: removed

2005-07-23 David Brown <dmlb2000@gmail.com>
	* BUILD: added building of the helper scripts provided in
	  extras/run_directory also removed all sedit's to make build much cleaner
	* udev_logger.c: added because the helper scripts don't compile with SYS_LOG
	  support otherwise
	* DEPENDS: modified to add the correct options to OPT so sedits aren't needed
	* DETAILS: added REALEASE-NOTES to DOCS and made it gpg check the source
	* Makefile.patch: removed the removing of the config install, the makefile
	  checks if the file exists before it tries to install it.
	* INSTALL: installed our config files first so the Makefile patch hunk can
	  be removed
	* rules/50-default.rules: added udev.d and hotplug.d hooks

2005-07-15 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: updated to 063

2005-07-12 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: updated to 062
	* Makefile.patch: updated
	* BUILD: change patch level

2005-05-21 Arwed v. Merkatz <v.merkatz@gmx.net>
	* rules.d/50-default.rules: use a SUBSYSTEM rule to set all audio
	  devices to group audio and mode 0660 instead of specifying that for
	  every one of them, create /dev/psaux symlink for compatibility,
	  add a generic RUN rule that emulates the old /etc/dev.d behaviour
	* INSTALL: make /etc/dev.d/snd/controlC0/alsa.dev executable so it
	  actually gets run by the RUN rule

2005-05-21 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: updated to 058
	* BUILD: add missing &&

2005-04-23 Flavien Bridault <disk@sourcemage.org>
	* DETAILS: updated to 057
	* rules.d/50-default.rules
	* INSTALL: uses rules.d/50-default.rules instead of rules.d/udev.rules
	* FINAL: added, old udev.rules is now renamed rules.d/00-local.rules
	  That prevents this file to be deleted on the second cast.

2005-04-15 Arjan Bouter <abouter@sourcemage.org>
	* INSTALL: fixed the install_config_file for udev.conf
	* PREPARE: test if the install_config_file funtion is available
	  and error out if it isn't.

2005-04-09 Flavien Bridault <disk@sourcemage.org>
	* PREPARE: made executable, changed $UDEV_UPDATE to $UDEV_UPDATE2
	  to avoid that last udev config update setting is used
	* INSTALL: small fix, missing '&&'

2005-04-09 Arjan Bouter <abouter@sourcemage.org>
	* DETAILS,INSTALL,udev.conf: moved rules to rules.d
	* PREPARE: a new warning message
	* rules.d/*: split rules and a README with some explanation

2005-03-24 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: updated to 056

2005-02-26 Flavien Bridault <disk@sourcemage.org>
	* DETAILS: updated to 054

2005-02-14 Flavien Bridault <disk@sourcemage.org>
	* DETAILS: updated to 053

2005-02-13 Flavien Bridault <disk@sourcemage.org>
	* INSTALL: Removed the warning
	* PREPARE: Added the warning from INSTALL, it will be more
	  visible for everyone. The spell will be not updated by default.

2005-02-11 Flavien Bridault <disk@sourcemage.org>
	* INSTALL: Added a warning to inform the user that he
	  has to update his configuration.
	  Installed /etc/udev/udev.rules.example

2005-02-11 Flavien Bridault <disk@sourcemage.org>
	* DEPENDS: removed latest argument 'n' in optional depends,
	  thanks to Pauk Mahon (Bug #8216)

2005-02-09 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: updated to 052

2005-02-08 Arjan Bouter <abouter@sourcemage.org>
	* BUILD, DEPENDS: cleaned up depends handling
	* CONFIGURE: deleted
	* INSTALL: removed udev.permissions installation

2005-02-07 Arjan Bouter <abouter@sourcemage.org>
	* CONFIGURE, DEPENDS: added selinux support.
	* udev.rules: Gareth Clay (i4) fixed udev.rules
	  to include the permissions.

2005-02-07 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: updated to 051
	* udev.rules: added rule for device-mapper

2005-01-04 Arwed v. Merkatz <v.merkatz@gmx.net>
	* udev.permissions: added video devices

2004-12-19 Flavien Bridault <disk@sourcemage.org>
	* DETAILS: updated to 050

2004-12-16 Flavien Bridault <disk@sourcemage.org>
	* DETAILS: updated to 049

2004-12-09 Flavien Bridault <disk@sourcemage.org>
	* DETAILS: updated to 048
	* Makefile.patch: updated to 048

2004-11-19 Flavien Bridault <disk@sourcemage.org>
	* DETAILS: updated to 046
	* Makefile.patch: updated

2004-11-16 Flavien Bridault <disk@sourcemage.org>
	* DETAILS: updated to 044

2004-11-06 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: updated to 043

2004-10-25 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: updated to 042

2004-10-16 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 039
	  Removed MAKE_NJOBS=1
	* Makefile.patch: Updated to 039

2004-10-15 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 038
	  Added MAKE_NJOBS=1
	* Makefile.patch: Updated to 038
	* BUILD: Use -p1 for Makefile.patch

2004-10-08 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: updated to 034, changed WEB_SITE to
	  http://www.kernel.org/pub/linux/utils/kernel/hotplug/udev.html
	* Makefile.patch: updated

2004-09-17 Arwed v. Merkatz <v.merkatz@gmx.net>
	* Makefile.patch: fix the patch to work with latest version

2004-09-14 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 032

2004-09-13 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 031

2004-09-05 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Doesn't need tdb (thanks to Wolftech for bringing it up)

2004-07-21 Unet <audio@sourcemage.org>
	* BUILD: Made INSTALL_ROOT work properly

2004-07-19 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 030

2004-07-13 David Braaten <xiticix47@hotmail.com>
	* INSTALL: install the dev.d/.../alsa.dev file. (bug 6946)

2004-06-10 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: update to version 026
	  BUILD_API=2
	* BUILD: strip:
	* INSTALL: add

2004-05-21 Arwed v. Merkatz <v.merkatz@gmx.net>
	* udev.missing: comment out the ppp device, recent kernels create
	  that fine using udev

2004-04-22 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 025

2004-04-08 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 024
	* Makefile.patch: update for version 024

2004-04-07 hgg <hgreig@bigpond.net.au>
	* init.d/udev: delete adding Arwed's changes
	* udev.* our configs, not theirs
	* Makefile.patch: change the install slightly
	* BUILD: patch and install our configs

2004-03-28 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 023

2004-03-23 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 022

2004-03-03 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 021

2004-02-27 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 019

2004-02-19 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 018

2004-02-13 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 017
	  Removed MAINTAINER
	  Removed MAKE_NJOBS=1
	* BUILD: docs/SCCS is no longer in the tarball

2004-02-11 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: install additional docs
	* BUILD: install /etc/udev/udev.rules.devfs as well.
	  after changing udev.conf to refer to udev.rules.devfs,
	  udev creates all the devices that I need!
	  However, the spell does not do this at present.

2004-02-03 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 016
	  Now needs MAKE_NJOBS=1 again

2004-01-26 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 015
	  Also now compiles and installs `udevinfo` by default

2004-01-22 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 014

2004-01-14 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 013
	  Removed MAKE_NJOBS=1

2004-01-07 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 012

2003-12-18 Arwed v. Merkatz <v.merkatz@gmx.net>
	* init.d/udev: don't use echo to set DEVPATH, fails due to echo being
	  redefined in init
	  create /sys if it doesn't exist, make sure sysfs is mounted there

2003-12-16 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 009

2003-12-09 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Fails with multiple jobs
	* init.d/udev: Initial simpleinit startup script

2003-11-24 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Update to 007

2003-11-19 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Update to 006
	  Now works with multiple jobs

2003-10-22 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Update to 005

2003-10-21 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Update to 004

2003-10-17 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Update to 003, added MAKE_NJOBS=1
	  added DOCS variable
	* BUILD: Doesn't use ./configure
	* DEPENDS: Depends on tdb
	* Added to disk

2003-07-25 Eric Sandall <sandalle@sourcemage.org>
	* Created spell

